Bug 664460 - Missing several man-pages for /usr/sbin executables
Summary: Missing several man-pages for /usr/sbin executables
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Spacewalk
Classification: Community
Component: Documentation
Version: 1.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Marcelo Moreira de Mello
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space16
TreeView+ depends on / blocked
 
Reported: 2010-12-20 14:05 UTC by Martin Minar
Modified: 2016-07-04 00:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-05 11:54:12 UTC


Attachments (Terms of Use)

Description Martin Minar 2010-12-20 14:05:31 UTC
Description of problem:
A number of sbin executables is missing man page completely.

Version-Release number of selected component (if applicable):
Spacewalk 1.3 (nightly)

How reproducible:
Always

Steps to Reproduce:
1. rpmlint on listed package
2. Check the content of rpm
3. Package list:
  osa-dispatcher-5.9.38-1.el5sat missing man-page for /usr/sbin/osa-dispatcher
  osa-dispatcher-selinux-5.9.38-1.el5sat missing man-page for /usr/sbin/osa-dispatcher-selinux-enable
  spacewalk-admin-1.2.4-2.el5sat missing man-page for /usr/sbin/rhn-sat-restart-silent
  spacewalk-admin-1.2.4-2.el5sat missing man-page for /usr/sbin/spacewalk-service
  spacewalk-monitoring-1.1.1-1.el5sat missing man-page for /usr/sbin/Monitoring
  spacewalk-monitoring-1.1.1-1.el5sat missing man-page for /usr/sbin/MonitoringScout
  spacewalk-selinux-1.2.1-1.el5sat missing man-page for /usr/sbin/spacewalk-selinux-enable

  
Actual results:
Missing man pages

Expected results:
All sbin executables have man page

Additional info:

Comment 1 Jan Pazdziora 2011-02-28 18:40:30 UTC
Taking.

I do not plan actively working on this but I will accept patches.

Comment 2 Miroslav Suchý 2011-04-11 07:33:50 UTC
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.

Comment 3 Miroslav Suchý 2011-04-11 07:37:19 UTC
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.

Comment 4 Jan Pazdziora 2011-07-20 11:52:19 UTC
Aligning under space16.

Comment 5 Jan Pazdziora 2011-08-05 11:54:12 UTC
While it would be good to have man pages for all the commands in /usr/sbin, I don't believe anybody will write them based on this bugzilla. They will need to be tackled one command at a time.

We will be more than happy to include man page if patch is submitted to spacewalk-devel@redhat.com mailing list.

Closing as not to pollute the list of open Spacewalk bugzillas.


Note You need to log in before you can comment on or make changes to this bug.